//Create the team selection menu
void teamMenu(){
      background(170);  //Redraw background
      imageMode(CENTER);  //Image mode
      tint(80);  //Darken unselected cars
      float menuWidth = (7*width)/10;
      float menuHeight = (7*height)/10;
      float menuX = (4.5*width)/10;
      float menuY = (11*height)/20;
      image(teamMenuImg, menuX, menuY, menuWidth, menuHeight);  //Menu
      tint(255);
      float teamImageWidth = menuWidth/5;
      float teamImageHeight = menuHeight/2;
      float teamImageX = (menuX - menuWidth/2) + (teamDict[teamSelector][4] * teamImageWidth) + (teamImageWidth/2);  //Where to draw the overlay team iamge on the menu x and y
      float teamImageY = (menuY - menuHeight/2) + (teamDict[teamSelector][3] * teamImageHeight) + (teamImageHeight/2);
      image(teams[teamSelector].getTeamImg(), teamImageX, teamImageY, teamImageWidth, teamImageHeight);  //Draw team
      image(teams[teamSelector].getCarImg(), (9*width)/10, height/2);  //Draw car
      fill(0);
      stroke(0);
      textSize(32);
      textAlign(LEFT);
      text("Select a team (press ENTER)", width/10, height/10);
      textSize(64);
      text(teams[teamSelector].getName(), width/10, height/10 + 70);
      
      //Return to menu text
      textAlign(RIGHT);
      fill(0);
      textSize(20);
      text("ARROW KEYS to select team, BACKSPACE to return to main menu", width-30, height-height/24);
      
      noLoop();  //Save performance
}


//Function which returns the array of sprites from the spritesheet of all the cars
PImage[] getCarSpriteSheet(String fileName){
  PImage spritesheet;
  PImage[] sprites;
  int counter = 0;  //Used to sepcify which car to display in sprite list
  int w = 151;  //Width of one car
  int h = 404;  //Height of one car
  spritesheet = loadImage(fileName);
  sprites = new PImage[12]; // 12 images across, 4 down, in the spritesheet

  //Loop through 5 rows
  for (int i = 0; i < 5; i++) {
    //Loop through 2 columns
    for (int j = 0; j < 2; j++) {
      sprites[counter] = spritesheet.get(j*w, i*h, w, h);
      counter++;
    }
  }
  return sprites;
}

//Function which returns the array of sprites from the spritesheet of all the teams
PImage[] getTeamSpriteSheet(String fileName){
  PImage spritesheet;
  PImage[] sprites;
  sprites = new PImage[12]; // 12 images across, 4 down, in the spritesheet
  spritesheet = loadImage(fileName);
  int counter = 0;  //Used to sepcify which car to display in sprite list
  int w = spritesheet.width / 5;  //Width of one car
  int h = spritesheet.height / 2;  //Height of one car

  //Loop through 2 rows
  for (int i = 0; i < 2; i++) {
    //Loop through 5 columns
    for (int j = 0; j < 5; j++) {
      sprites[counter] = spritesheet.get(j*w, i*h, w, h);
      counter++;
    }
  }
  return sprites;
}
